Bug 170787 - @monthly jobs running daily
@monthly jobs running daily
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On: 138965
Blocks: 161600
  Show dependency treegraph
 
Reported: 2005-10-14 11:39 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005:0117
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-01 13:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-10-14 11:39:11 EDT
+++ This bug was initially created as a clone of Bug #138965 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20040913 Firefox/0.10.1

Description of problem:
When using the @monthly variable in the files /var/spool/cron folder
the jobs are running daily.

The @daily jobs run correctly.

Std install of Fedora Core2.

the file /var/spool/cron/root
contains
@daily /root/freespace.sh
@monthly touch /etc/websnmp/reset.tag

This touch command is being run daily.

Version-Release number of selected component (if applicable):
crontabs-1.10-6, vixie-cron-3.0.1-87

How reproducible:
Always

Steps to Reproduce:
1. create a cron file and use the @monthly variable to log to a file
2.
3.
    

Actual Results:  Instead of being run monthly it runs every night at
around 2 seconds after midnight

Expected Results:  Runs monthly

Additional info:

-- Additional comment from jvdias@redhat.com on 2004-11-12 08:48 EST --
 This should not happen with the latest version of cron, which is:
 vixie-cron-4.1-19 .  I'm in the process of getting this pushed to
 FC2 updates; meanwhile, you can download it for FC2 from:
   http://people.redhat.com/~jvdias/vixie-cron/FC2 
 

-- Additional comment from marius.andreiana@gmail.com on 2005-08-20 02:42 EST --
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 1 Jason Vas Dias 2005-10-14 11:40:12 EDT
This bug is fixed with vixie-cron-4.1-8_EL3, available from:
  http://people.redhat.com/~jvdias/cron/RHEL-3
and should be considered for inclusion in RHEL-3-U7 .
Comment 3 Jason Vas Dias 2006-05-01 13:50:24 EDT
Fixed with vixie-cron-4.1-10.EL3, currently in RHEL-3-U7 with errata
RHSA-2005:0117.

Note You need to log in before you can comment on or make changes to this bug.